webpackJsonp([4],{

/***/ 750:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "UserLocationModule", function() { return UserLocationModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__user_location__ = __webpack_require__(763);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_components_module__ = __webpack_require__(458);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var UserLocationModule = /** @class */ (function () {
    function UserLocationModule() {
    }
    UserLocationModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__user_location__["a" /* UserLocationPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_3__components_components_module__["a" /* ComponentsModule */],
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__user_location__["a" /* UserLocationPage */]),
            ],
            exports: [
                __WEBPACK_IMPORTED_MODULE_2__user_location__["a" /* UserLocationPage */]
            ]
        })
    ], UserLocationModule);
    return UserLocationModule;
}());

//# sourceMappingURL=user-location.module.js.map

/***/ }),

/***/ 763:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return UserLocationPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ngrx_store__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_config__ = __webpack_require__(17);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__store_reducers__ = __webpack_require__(57);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__store_actions_settings_actions__ = __webpack_require__(58);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__store_actions_layout_actions__ = __webpack_require__(52);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__store_actions_movies_playing_actions__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__shared_providers_settings_provider__ = __webpack_require__(67);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__shared_providers_analytics_provider__ = __webpack_require__(45);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};










var UserLocationPage = /** @class */ (function () {
    function UserLocationPage(store, settingsProvider, navCtrl, analyticsProvider) {
        this.store = store;
        this.settingsProvider = settingsProvider;
        this.navCtrl = navCtrl;
        this.analyticsProvider = analyticsProvider;
        this.enableSaveButton = false;
        this.destroyed = false;
        this.locationSettings$ = store.select(__WEBPACK_IMPORTED_MODULE_4__store_reducers__["s" /* getLocationSettings */]);
    }
    ;
    UserLocationPage.prototype.onLocationClick = function () {
        this.enableSaveButton = false;
    };
    UserLocationPage.prototype.onLocationChange = function (location) {
        this.enableSaveButton = location.enable;
        this.currentLocation = location.location;
    };
    UserLocationPage.prototype.saveLocation = function () {
        var _this = this;
        var newSettings;
        return Promise.resolve()
            .then(function () { return _this.settingsProvider.get(); })
            .then(function (settings) {
            newSettings = Object.assign({}, settings, {
                location: _this.currentLocation
            });
            _this.settingsProvider.set(newSettings);
            _this.store.dispatch(new __WEBPACK_IMPORTED_MODULE_5__store_actions_settings_actions__["g" /* GetSettings_Success */](newSettings));
        })
            .then(function () { return _this.store.dispatch(new __WEBPACK_IMPORTED_MODULE_7__store_actions_movies_playing_actions__["h" /* GetMoviesPlaying */]()); })
            .then(function () { return _this.store.dispatch(new __WEBPACK_IMPORTED_MODULE_7__store_actions_movies_playing_actions__["b" /* GetDistrictTheaters */]()); })
            .then(function () {
            if (_this.saveLocationSubscription$ && !_this.saveLocationSubscription$.closed) {
                _this.saveLocationSubscription$.unsubscribe();
            }
            _this.saveLocationSubscription$ = _this.store.select(__WEBPACK_IMPORTED_MODULE_4__store_reducers__["i" /* getDistrictTheaters */])
                .takeWhile(function () { return !_this.destroyed; }).skip(1)
                .subscribe(function (theaters) {
                if (theaters && theaters.length) {
                    _this.analyticsProvider.triggerEvent('appEventLocation', 'settings', 'Definições', '', '', { district: __WEBPACK_IMPORTED_MODULE_3__app_app_config__["a" /* appConfig */].districts.find(function (d) { return d.id == newSettings.location.districts[0]; }).text });
                    _this.navCtrl.setRoot('tabs');
                }
                else {
                    _this.store.dispatch(new __WEBPACK_IMPORTED_MODULE_6__store_actions_layout_actions__["f" /* ShowToaster */](__WEBPACK_IMPORTED_MODULE_3__app_app_config__["a" /* appConfig */].errorMessages.getTheatersError));
                }
            });
        })
            .catch(function (err) { return _this.store.dispatch(new __WEBPACK_IMPORTED_MODULE_6__store_actions_layout_actions__["f" /* ShowToaster */](__WEBPACK_IMPORTED_MODULE_3__app_app_config__["a" /* appConfig */].errorMessages.setUserLocationError)); });
    };
    UserLocationPage.prototype.ngOnDestroy = function () {
        this.destroyed = true;
    };
    UserLocationPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'user-location',template:/*ion-inline-start:"/home/rafael/Documents/Projects/Apps/SapoCinema/src/pages/user-location/user-location.html"*/'<navbar-component [title]="\'Cinema\'"></navbar-component>\n\n<ion-content padding>\n    <location-component\n        [locationSettings]="locationSettings$ | async"\n        [rollbackOnError]="false"\n        (onClick)="onLocationClick()"\n        (onChange)="onLocationChange($event)"\n    ></location-component>\n</ion-content>\n<button\n    ion-button\n    padding-horizontal\n    [disabled]="!enableSaveButton"\n    [ngClass]="enableSaveButton ? \'enabled\' : \'\'"\n    (click)="saveLocation()"\n>\n    Continuar\n</button>\n'/*ion-inline-end:"/home/rafael/Documents/Projects/Apps/SapoCinema/src/pages/user-location/user-location.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2__ngrx_store__["b" /* Store */],
            __WEBPACK_IMPORTED_MODULE_8__shared_providers_settings_provider__["a" /* SettingsProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_9__shared_providers_analytics_provider__["a" /* AnalyticsProvider */]])
    ], UserLocationPage);
    return UserLocationPage;
}());

//# sourceMappingURL=user-location.js.map

/***/ })

});
//# sourceMappingURL=4.js.map