webpackJsonp([5],{

/***/ 749:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "TheaterDetailPageModule", function() { return TheaterDetailPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__theater_detail__ = __webpack_require__(762);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_components_module__ = __webpack_require__(458);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var TheaterDetailPageModule = /** @class */ (function () {
    function TheaterDetailPageModule() {
    }
    TheaterDetailPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__theater_detail__["a" /* TheaterDetailPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_3__components_components_module__["a" /* ComponentsModule */],
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__theater_detail__["a" /* TheaterDetailPage */]),
            ],
            exports: [
                __WEBPACK_IMPORTED_MODULE_2__theater_detail__["a" /* TheaterDetailPage */]
            ]
        })
    ], TheaterDetailPageModule);
    return TheaterDetailPageModule;
}());

//# sourceMappingURL=theater-detail.module.js.map

/***/ }),

/***/ 762:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return TheaterDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__ngrx_store__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_config__ = __webpack_require__(17);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__shared_services_api_urls__ = __webpack_require__(53);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__store_actions_layout_actions__ = __webpack_require__(52);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__store_actions_movies_playing_actions__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__store_reducers__ = __webpack_require__(57);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__shared_utils__ = __webpack_require__(15);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__shared_providers_analytics_provider__ = __webpack_require__(45);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__shared_providers_social_sharing_provider__ = __webpack_require__(459);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__shared_services_navbar_events__ = __webpack_require__(186);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};












var TheaterDetailPage = /** @class */ (function () {
    function TheaterDetailPage(navParams, navCtrl, modalCtrl, store, socialSharingProvider, navbarEvents, analyticsProvider) {
        var _this = this;
        this.navParams = navParams;
        this.navCtrl = navCtrl;
        this.modalCtrl = modalCtrl;
        this.store = store;
        this.socialSharingProvider = socialSharingProvider;
        this.navbarEvents = navbarEvents;
        this.analyticsProvider = analyticsProvider;
        this.destroyed = false;
        this.theaterId = __WEBPACK_IMPORTED_MODULE_8__shared_utils__["a" /* Utils */].exists(navParams, 'data.theaterId');
        this.onDismiss = __WEBPACK_IMPORTED_MODULE_8__shared_utils__["a" /* Utils */].exists(navParams, 'data.onDismiss');
        this.error$ = store.select(__WEBPACK_IMPORTED_MODULE_7__store_reducers__["G" /* getTheaterDetailError */]);
        this.error$.subscribe(function (error) {
            _this.hasErrors = !!error;
        });
        this.loading$ = store.select(__WEBPACK_IMPORTED_MODULE_7__store_reducers__["x" /* getMoviesPlayingLoading */]);
        this.userFavorites$ = store.select(__WEBPACK_IMPORTED_MODULE_7__store_reducers__["j" /* getFavoritesSettings */]);
        this.currentTheater$ = store.select(__WEBPACK_IMPORTED_MODULE_7__store_reducers__["F" /* getTheaterDetail */]);
        this.movieList$ = store.select(__WEBPACK_IMPORTED_MODULE_7__store_reducers__["H" /* getTheaterMovies */]);
    }
    TheaterDetailPage.prototype.ngOnInit = function () {
        var _this = this;
        this.currentTheater$
            .takeWhile(function () { return !_this.destroyed; })
            .subscribe(function (theaterInfo) {
            if (theaterInfo) {
                _this.theaterInfo = theaterInfo;
                _this.theaterName = _this.theaterInfo.title;
                _this.sendVirtualPageView();
                _this.navbarEvents.onScroll(_this.theaterContent, 'theater-detail ion-navbar', '.theater-header');
            }
        });
    };
    TheaterDetailPage.prototype.ngOnDestroy = function () {
        this.store.dispatch(new __WEBPACK_IMPORTED_MODULE_6__store_actions_movies_playing_actions__["m" /* GetTheaterDetail_Success */](undefined));
        this.onDismiss && this.onDismiss();
        this.destroyed = true;
    };
    TheaterDetailPage.prototype.onMovieSelect = function (movie) {
        var _this = this;
        this.store.dispatch(new __WEBPACK_IMPORTED_MODULE_6__store_actions_movies_playing_actions__["e" /* GetMovieDetail */](movie.slug));
        return Promise.resolve().then(function () {
            return _this.navCtrl.push('movie-detail', {
                movie_slug: movie.slug,
                focusTheater: _this.theaterId,
                onDismiss: function () { return _this.sendVirtualPageView(); }
            });
        });
    };
    TheaterDetailPage.prototype.sendVirtualPageView = function () {
        this.analyticsProvider.virtualPageView('theater', 'Detalhe Sala', '', this.theaterInfo.url, {
            theater: this.theaterName
        });
    };
    TheaterDetailPage.prototype.onErrorRefresh = function (refresher) {
        var _this = this;
        return Promise.resolve()
            .then(function () { return _this.store.dispatch(new __WEBPACK_IMPORTED_MODULE_6__store_actions_movies_playing_actions__["k" /* GetTheaterDetail */](_this.theaterId)); })
            .then(function () { return refresher && refresher.complete(); });
    };
    TheaterDetailPage.prototype.shareTheater = function () {
        var _this = this;
        return Promise.resolve()
            .then(function () {
            return _this.analyticsProvider.triggerEvent('appEventShareButton', 'theater', 'Detalhe Sala', '', _this.theaterInfo.url);
        })
            .then(function () { return _this.socialSharingProvider.shareUrl(__WEBPACK_IMPORTED_MODULE_4__shared_services_api_urls__["d" /* getCinemaBaseURL */]() + _this.theaterInfo.url); })
            .catch(function () { return _this.store.dispatch(new __WEBPACK_IMPORTED_MODULE_5__store_actions_layout_actions__["f" /* ShowToaster */](__WEBPACK_IMPORTED_MODULE_3__app_app_config__["a" /* appConfig */].errorMessages.shareTheaterError)); });
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ViewChild */])(__WEBPACK_IMPORTED_MODULE_2_ionic_angular__["b" /* Content */]),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["b" /* Content */])
    ], TheaterDetailPage.prototype, "theaterContent", void 0);
    TheaterDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'theater-detail',template:/*ion-inline-start:"/home/rafael/Documents/Projects/Apps/SapoCinema/src/pages/theater-detail/theater-detail.html"*/'<navbar-component\n    [showShare]="true"\n    (onShare)="shareTheater()"\n    [title]="theaterName"\n    [theater]="theaterInfo"\n></navbar-component>\n<ion-spinner *ngIf="loading$ | async"></ion-spinner>\n\n<ion-content #theaterContent>\n    <div *ngIf="!hasErrors">\n        <div class="theater-header">\n            <div class="theater-background">\n                <img src="assets/img/theater-background.jpg" />\n            </div>\n        </div>\n        <div class="theater-scroll-content" *ngIf="theaterInfo">\n            <div class="theaterInfoWrapper">\n                <div class="theaterInfo">\n                    <img src="assets/img/cinema.svg" alt="" />\n                    <theater-small-component\n                        [theater]="currentTheater$ | async"\n                    ></theater-small-component>\n                </div>\n            </div>\n            <div class="theater-sessions">\n                <h1>EM CARTAZ</h1>\n                <movie-grid-component\n                    (onMovieClick)="onMovieSelect($event)"\n                    [feed]="movieList$ | async"\n                ></movie-grid-component>\n            </div>\n        </div>\n    </div>\n</ion-content>\n\n<ion-content *ngIf="hasErrors" class="theater-detail-error">\n    <ion-refresher #refresher (ionRefresh)="onErrorRefresh($event)">\n        <ion-refresher-content></ion-refresher-content>\n    </ion-refresher>\n    <error-component [message]="error$ | async"></error-component>\n</ion-content>\n'/*ion-inline-end:"/home/rafael/Documents/Projects/Apps/SapoCinema/src/pages/theater-detail/theater-detail.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2_ionic_angular__["k" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["h" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_1__ngrx_store__["b" /* Store */],
            __WEBPACK_IMPORTED_MODULE_10__shared_providers_social_sharing_provider__["a" /* SocialSharingProvider */],
            __WEBPACK_IMPORTED_MODULE_11__shared_services_navbar_events__["a" /* NavbarEvents */],
            __WEBPACK_IMPORTED_MODULE_9__shared_providers_analytics_provider__["a" /* AnalyticsProvider */]])
    ], TheaterDetailPage);
    return TheaterDetailPage;
}());

//# sourceMappingURL=theater-detail.js.map

/***/ })

});
//# sourceMappingURL=5.js.map