webpackJsonp([11],{

/***/ 751:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ArticleDetailPageModule", function() { return ArticleDetailPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__article_detail__ = __webpack_require__(764);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_components_module__ = __webpack_require__(458);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var ArticleDetailPageModule = /** @class */ (function () {
    function ArticleDetailPageModule() {
    }
    ArticleDetailPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__article_detail__["a" /* ArticleDetailPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_3__components_components_module__["a" /* ComponentsModule */],
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__article_detail__["a" /* ArticleDetailPage */]),
            ],
            exports: [
                __WEBPACK_IMPORTED_MODULE_2__article_detail__["a" /* ArticleDetailPage */]
            ]
        })
    ], ArticleDetailPageModule);
    return ArticleDetailPageModule;
}());

//# sourceMappingURL=article-detail.module.js.map

/***/ }),

/***/ 764:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ArticleDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__ngrx_store__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_config__ = __webpack_require__(17);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__store_reducers__ = __webpack_require__(57);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__store_actions_layout_actions__ = __webpack_require__(52);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__store_actions_articles_feed_actions__ = __webpack_require__(110);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__shared_services_api_urls__ = __webpack_require__(53);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__shared_providers_social_sharing_provider__ = __webpack_require__(459);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__shared_models__ = __webpack_require__(29);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__shared_utils__ = __webpack_require__(15);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__shared_providers_analytics_provider__ = __webpack_require__(45);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_12__shared_providers_dynamic_components_provider__ = __webpack_require__(187);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};













var ArticleDetailPage = /** @class */ (function () {
    function ArticleDetailPage(navParams, store, socialSharingProvider, analyticsProvider, dynamicComponentsProvider) {
        this.navParams = navParams;
        this.store = store;
        this.socialSharingProvider = socialSharingProvider;
        this.analyticsProvider = analyticsProvider;
        this.dynamicComponentsProvider = dynamicComponentsProvider;
        this.destroyed = false;
        this.slideIndex = undefined;
        this.articleFeed$ = store.select(__WEBPACK_IMPORTED_MODULE_4__store_reducers__["c" /* getArticlesFeed */]);
        this.error$ = store.select(__WEBPACK_IMPORTED_MODULE_4__store_reducers__["d" /* getArticlesFeedError */]);
        this.loading$ = store.select(__WEBPACK_IMPORTED_MODULE_4__store_reducers__["e" /* getArticlesFeedLoading */]);
        this.article_slug = __WEBPACK_IMPORTED_MODULE_10__shared_utils__["a" /* Utils */].exists(navParams, 'data.article_slug');
        this.searchFeed = __WEBPACK_IMPORTED_MODULE_10__shared_utils__["a" /* Utils */].exists(navParams, 'data.searchFeed');
        this.onDismiss = __WEBPACK_IMPORTED_MODULE_10__shared_utils__["a" /* Utils */].exists(navParams, 'data.onDismiss');
    }
    ArticleDetailPage.prototype.ngOnInit = function () {
        var _this = this;
        if (this.searchFeed) {
            this.articleList = this.searchFeed.items;
            this.loadedArticleIds = [];
            this.onSlideView();
        }
        else {
            this.articleFeed$
                .takeWhile(function () { return !_this.destroyed; })
                .subscribe(function (articleFeed) {
                if (articleFeed) {
                    _this.articleList = articleFeed.items;
                    _this.loadedArticleIds = [];
                    _this.onSlideView();
                }
            });
        }
    };
    ArticleDetailPage.prototype.ngOnDestroy = function () {
        this.onDismiss && this.onDismiss();
        this.destroyed = true;
    };
    ArticleDetailPage.prototype.onSlideView = function () {
        var _this = this;
        var nextArticle = this.articleList[this.slides ? this.slides.getActiveIndex() : this.getInitialSlideIndex()];
        if (this.currentArticle != nextArticle) {
            this.currentArticle = nextArticle;
            this.triggerAnalyticsVirtualPageView();
            !this.searchFeed && this.checkMoreFeed();
            this.checkArticlePhotoGallery();
            setTimeout(function () {
                if (_this.currentArticle && _this.loadedArticleIds.indexOf(_this.currentArticle.id) < 0) {
                    _this.loadedArticleIds.push(_this.currentArticle.id);
                    _this.dynamicComponentsProvider.wrapIframes(_this.currentArticle.id);
                    if (_this.currentArticle.type != 'photo_gallery')
                        _this.loadDynamicComponents();
                }
            }, 50);
        }
    };
    ArticleDetailPage.prototype.getInitialSlideIndex = function () {
        var _this = this;
        return this.articleList.findIndex(function (c) { return c.slug == _this.article_slug; });
    };
    ArticleDetailPage.prototype.checkArticlePhotoGallery = function () {
        var _this = this;
        if (this.currentArticle.type == 'photo_gallery') {
            this.store.dispatch(new __WEBPACK_IMPORTED_MODULE_6__store_actions_articles_feed_actions__["f" /* GetArticlePhotoGallery */](this.currentArticle.slug));
            this.store.select(__WEBPACK_IMPORTED_MODULE_4__store_reducers__["b" /* getArticleDetail */])
                .takeWhile(function () { return !_this.destroyed; })
                .subscribe(function (article) {
                _this.currentArticle.photos = article.photos;
                setTimeout(function () {
                    _this.loadDynamicComponents();
                }, 1000);
            });
        }
    };
    ArticleDetailPage.prototype.checkMoreFeed = function () {
        var _this = this;
        var currentIdx = this.slides ? this.slides.getActiveIndex() : this.getInitialSlideIndex();
        if (currentIdx == this.articleList.length - 1) {
            Promise.resolve()
                .then(function () { return _this.store.dispatch(new __WEBPACK_IMPORTED_MODULE_6__store_actions_articles_feed_actions__["j" /* GetMoreArticlesFeed */]()); })
                .then(function () { return _this.analyticsProvider.virtualPageView('article-list', 'Notícias', '', '/noticias'); });
        }
    };
    ArticleDetailPage.prototype.shareArticle = function () {
        var _this = this;
        return Promise.resolve()
            .then(function () {
            return _this.analyticsProvider.triggerEvent('appEventShareButton', 'article', 'Detalhe Notícia', '', _this.currentArticle.url);
        })
            .then(function () { return _this.socialSharingProvider.shareUrl(__WEBPACK_IMPORTED_MODULE_7__shared_services_api_urls__["d" /* getCinemaBaseURL */]() + _this.currentArticle.url); })
            .catch(function () { return _this.store.dispatch(new __WEBPACK_IMPORTED_MODULE_5__store_actions_layout_actions__["f" /* ShowToaster */](__WEBPACK_IMPORTED_MODULE_3__app_app_config__["a" /* appConfig */].errorMessages.shareArticleError)); });
    };
    ArticleDetailPage.prototype.onErrorRefresh = function (refresher) {
        var _this = this;
        return Promise.resolve()
            .then(function () { return _this.store.dispatch(new __WEBPACK_IMPORTED_MODULE_6__store_actions_articles_feed_actions__["c" /* GetArticleDetail */](_this.article_slug)); })
            .then(function () { return refresher && refresher.complete(); });
    };
    ArticleDetailPage.prototype.loadDynamicComponents = function () {
        var _this = this;
        // Sapo Fun
        if (this.currentArticle.content) {
            var sapoFunIds_1 = [];
            this.currentArticle.content.replace(/<sapo\-fun\-placeholder id\=['"](\d+)['"]><\/sapo\-fun\-placeholder>/g, function (_, id) {
                sapoFunIds_1.push(id);
                return '';
            });
            sapoFunIds_1.forEach(function (funId) {
                _this.dynamicComponentsProvider.loadSapoFun(funId);
            });
        }
        // Embeds
        if (this.currentArticle.embeds) {
            this.currentArticle.embeds.forEach(function (embed) {
                embed = new __WEBPACK_IMPORTED_MODULE_9__shared_models__["b" /* Embed */](embed, _this.currentArticle.id);
                return _this.dynamicComponentsProvider.createEmbed(embed, embed.type === 'photo_gallery'
                    ? {
                        slideChange$: function (slide) { return _this.triggerAnalyticsSlideEvent(slide); }
                    }
                    : undefined);
            });
        }
        // PhotoGalleries
        if (this.currentArticle.type === 'photo_gallery'
            && this.currentArticle.photos
            && !document.querySelector(".article-" + this.currentArticle.id + " photo-gallery")) {
            var photoGalleryEmbed = new __WEBPACK_IMPORTED_MODULE_9__shared_models__["b" /* Embed */]({
                articleId: this.currentArticle.id,
                type: 'photo_gallery',
                photos: this.currentArticle.photos
            }, this.currentArticle.id);
            return this.dynamicComponentsProvider.createEmbed(photoGalleryEmbed, {
                slideChange$: function (slide) { return _this.triggerAnalyticsSlideEvent(slide); }
            });
        }
        this.dynamicComponentsProvider.emptyPhotoSwipes();
    };
    ArticleDetailPage.prototype.triggerAnalyticsSlideEvent = function (slide) {
        this.slideIndex &&
            this.slideIndex != slide.index &&
            this.analyticsProvider.virtualPageView('gallery', 'Detalhe Notícia', '', this.currentArticle.url, this.getAnalyticsData());
        this.slideIndex = slide.index;
    };
    ArticleDetailPage.prototype.triggerAnalyticsVirtualPageView = function () {
        this.currentArticle &&
            this.analyticsProvider.virtualPageView('article', 'Detalhe Notícia', '', this.currentArticle.url, this.getAnalyticsData());
    };
    ArticleDetailPage.prototype.getAnalyticsData = function () {
        var analyticsDataObj = {};
        this.currentArticle.sponsor && (analyticsDataObj.sponsor = this.currentArticle.sponsor.title);
        this.currentArticle.partner && (analyticsDataObj.partner = this.currentArticle.partner.title);
        this.currentArticle.authors && (analyticsDataObj.authors = this.currentArticle.authors.map(function (a) { return a.title; }).join());
        return analyticsDataObj;
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ViewChild */])(__WEBPACK_IMPORTED_MODULE_2_ionic_angular__["m" /* Slides */]),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["m" /* Slides */])
    ], ArticleDetailPage.prototype, "slides", void 0);
    ArticleDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'article-detail',template:/*ion-inline-start:"/home/rafael/Documents/Projects/Apps/SapoCinema/src/pages/article-detail/article-detail.html"*/'<navbar-component\n    [showShare]="true"\n    (onShare)="shareArticle()"\n></navbar-component>\n\n<ion-content no-bounce>\n    <ng-container>\n        <ion-slides\n            *ngIf="articleList"\n            #detailSlides\n            [initialSlide]="getInitialSlideIndex()"\n            (ionSlideDidChange)="onSlideView()"\n        >\n            <ion-slide class="cards-bg" *ngFor="let article of articleList">\n                <article-detail-component\n                    [article]="article"\n                    [active]="\n                        currentArticle != null &&\n                        article.url == currentArticle.url\n                    "\n                ></article-detail-component>\n            </ion-slide>\n        </ion-slides>\n    </ng-container>\n</ion-content>\n\n<ion-content *ngIf="error$ | async">\n    <ion-refresher #refresher (ionRefresh)="onErrorRefresh($event)">\n        <ion-refresher-content></ion-refresher-content>\n    </ion-refresher>\n    <error-component [message]="error$ | async"></error-component>\n</ion-content>\n'/*ion-inline-end:"/home/rafael/Documents/Projects/Apps/SapoCinema/src/pages/article-detail/article-detail.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2_ionic_angular__["k" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1__ngrx_store__["b" /* Store */],
            __WEBPACK_IMPORTED_MODULE_8__shared_providers_social_sharing_provider__["a" /* SocialSharingProvider */],
            __WEBPACK_IMPORTED_MODULE_11__shared_providers_analytics_provider__["a" /* AnalyticsProvider */],
            __WEBPACK_IMPORTED_MODULE_12__shared_providers_dynamic_components_provider__["a" /* DynamicComponentsProvider */]])
    ], ArticleDetailPage);
    return ArticleDetailPage;
}());

//# sourceMappingURL=article-detail.js.map

/***/ })

});
//# sourceMappingURL=11.js.map