webpackJsonp([6],{

/***/ 748:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "TabsPageModule", function() { return TabsPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__tabs__ = __webpack_require__(761);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var TabsPageModule = /** @class */ (function () {
    function TabsPageModule() {
    }
    TabsPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [__WEBPACK_IMPORTED_MODULE_2__tabs__["a" /* TabsPage */]],
            imports: [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__tabs__["a" /* TabsPage */])],
            exports: [__WEBPACK_IMPORTED_MODULE_2__tabs__["a" /* TabsPage */]]
        })
    ], TabsPageModule);
    return TabsPageModule;
}());

//# sourceMappingURL=tabs.module.js.map

/***/ }),

/***/ 761:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return TabsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ngrx_store__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__store_reducers__ = __webpack_require__(57);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__store_actions_layout_actions__ = __webpack_require__(52);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__shared_providers_analytics_provider__ = __webpack_require__(45);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__shared_providers_notifications_provider__ = __webpack_require__(185);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var TabsPage = /** @class */ (function () {
    function TabsPage(platform, store, navCtrl, alertCtrl, analyticsProvider, events, notificationsProvider) {
        var _this = this;
        this.platform = platform;
        this.store = store;
        this.navCtrl = navCtrl;
        this.alertCtrl = alertCtrl;
        this.analyticsProvider = analyticsProvider;
        this.events = events;
        this.notificationsProvider = notificationsProvider;
        this.moviesPlayingTab = 'movies-playing';
        this.futureMoviesTab = 'future-movies';
        this.articlesTab = 'article-list';
        this.settingsTab = 'settings';
        store.select(__WEBPACK_IMPORTED_MODULE_3__store_reducers__["y" /* getNotificationsSettings */]).subscribe(function (notificationsSettings) {
            _this.notifications = notificationsSettings;
        });
        this.platform.registerBackButtonAction(function () {
            _this.store.dispatch(new __WEBPACK_IMPORTED_MODULE_4__store_actions_layout_actions__["c" /* NotifyBackButtonClick */](undefined));
            _this.store.dispatch(new __WEBPACK_IMPORTED_MODULE_4__store_actions_layout_actions__["c" /* NotifyBackButtonClick */](_this.appTabs.getSelected().root));
        });
    }
    TabsPage.prototype.notifyTabChange = function (event) {
        this.store.dispatch(new __WEBPACK_IMPORTED_MODULE_4__store_actions_layout_actions__["e" /* NotifyTabChange */](event.root));
    };
    TabsPage.prototype.onTapped = function (event) {
        var target = event.srcEvent.target.nodeName == 'A' ? event.srcEvent.target : event.srcEvent.target.parentElement;
        target = target.querySelector('ion-icon');
        if (target && target.classList.contains('ion-md-icon-cartaz')) {
            this.events.publish('changeTabToMovies');
        }
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ViewChild */])('appTabs'),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* Tabs */])
    ], TabsPage.prototype, "appTabs", void 0);
    TabsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'tabs',template:/*ion-inline-start:"/home/rafael/Documents/Projects/Apps/SapoCinema/src/pages/tabs/tabs.html"*/'<ion-tabs #appTabs (ionChange)="notifyTabChange($event)" (tap)="onTapped($event)">\n    <ion-tab [root]="moviesPlayingTab" [rootParams]="appTabs" tabTitle="Em Cartaz" tabIcon="icon-cartaz"></ion-tab>\n    <ion-tab [root]="futureMoviesTab" [rootParams]="appTabs" tabTitle="Estreias" tabIcon="icon-estreias"></ion-tab>\n    <ion-tab [root]="articlesTab" [rootParams]="appTabs" tabTitle="Notícias" tabIcon="icon-atualidade"></ion-tab>\n    <ion-tab [root]="settingsTab" [rootParams]="appTabs" tabTitle="Definições" tabIcon="icon-definicoes"></ion-tab>\n</ion-tabs>\n'/*ion-inline-end:"/home/rafael/Documents/Projects/Apps/SapoCinema/src/pages/tabs/tabs.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* Platform */],
            __WEBPACK_IMPORTED_MODULE_2__ngrx_store__["b" /* Store */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_5__shared_providers_analytics_provider__["a" /* AnalyticsProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["c" /* Events */],
            __WEBPACK_IMPORTED_MODULE_6__shared_providers_notifications_provider__["a" /* NotificationsProvider */]])
    ], TabsPage);
    return TabsPage;
}());

//# sourceMappingURL=tabs.js.map

/***/ })

});
//# sourceMappingURL=6.js.map