webpackJsonp([7],{

/***/ 746:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "LocationPageModule", function() { return LocationPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__location__ = __webpack_require__(759);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_components_module__ = __webpack_require__(458);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var LocationPageModule = /** @class */ (function () {
    function LocationPageModule() {
    }
    LocationPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__location__["a" /* LocationPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_3__components_components_module__["a" /* ComponentsModule */],
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__location__["a" /* LocationPage */]),
            ],
            exports: [
                __WEBPACK_IMPORTED_MODULE_2__location__["a" /* LocationPage */]
            ]
        })
    ], LocationPageModule);
    return LocationPageModule;
}());

//# sourceMappingURL=location.module.js.map

/***/ }),

/***/ 759:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return LocationPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ngrx_store__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__store_reducers__ = __webpack_require__(57);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__store_actions_movies_playing_actions__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__store_actions_settings_actions__ = __webpack_require__(58);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__store_actions_layout_actions__ = __webpack_require__(52);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__shared_providers_settings_provider__ = __webpack_require__(67);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__app_app_config__ = __webpack_require__(17);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__shared_providers_analytics_provider__ = __webpack_require__(45);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__shared_utils__ = __webpack_require__(15);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};











var LocationPage = /** @class */ (function () {
    function LocationPage(store, settingsProvider, navCtrl, navParams, analyticsProvider) {
        var _this = this;
        this.store = store;
        this.settingsProvider = settingsProvider;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.analyticsProvider = analyticsProvider;
        this.hasErrors = false;
        this.destroyed = false;
        this.locationSettings$ = store.select(__WEBPACK_IMPORTED_MODULE_3__store_reducers__["s" /* getLocationSettings */]);
        this.onDismiss = __WEBPACK_IMPORTED_MODULE_10__shared_utils__["a" /* Utils */].exists(navParams, 'data.onDismiss');
        this.error$ = store.select(__WEBPACK_IMPORTED_MODULE_3__store_reducers__["E" /* getSettingsError */]);
        this.error$
            .takeWhile(function () { return !_this.destroyed; })
            .subscribe(function (error) {
            _this.hasErrors = !!error;
            if (_this.hasErrors) {
                _this.store.dispatch(new __WEBPACK_IMPORTED_MODULE_6__store_actions_layout_actions__["f" /* ShowToaster */](error));
                _this.store.dispatch(new __WEBPACK_IMPORTED_MODULE_5__store_actions_settings_actions__["k" /* Update_Error */](undefined));
            }
        });
    }
    LocationPage.prototype.ngOnDestroy = function () {
        this.hasErrors && this.store.dispatch(new __WEBPACK_IMPORTED_MODULE_5__store_actions_settings_actions__["k" /* Update_Error */](undefined));
        this.onDismiss && this.onDismiss();
        this.destroyed = true;
    };
    LocationPage.prototype.onLocationChange = function (location) {
        var _this = this;
        this.currentLocation = location.location;
        var newSettings, previousSettings;
        return Promise.resolve()
            .then(function () { return _this.settingsProvider.get(); })
            .then(function (settings) {
            previousSettings = settings;
            newSettings = Object.assign({}, settings, {
                location: _this.currentLocation
            });
            _this.settingsProvider
                .set(newSettings)
                .then(function () { return _this.store.dispatch(new __WEBPACK_IMPORTED_MODULE_5__store_actions_settings_actions__["g" /* GetSettings_Success */](newSettings)); })
                .then(function () { return _this.store.dispatch(new __WEBPACK_IMPORTED_MODULE_4__store_actions_movies_playing_actions__["h" /* GetMoviesPlaying */]()); })
                .then(function () { return _this.store.dispatch(new __WEBPACK_IMPORTED_MODULE_4__store_actions_movies_playing_actions__["b" /* GetDistrictTheaters */]()); });
        })
            .then(function () {
            if (_this.saveLocationSubscription$ && !_this.saveLocationSubscription$.closed)
                _this.saveLocationSubscription$.unsubscribe();
            _this.saveLocationSubscription$ = _this.store
                .select(__WEBPACK_IMPORTED_MODULE_3__store_reducers__["i" /* getDistrictTheaters */])
                .takeWhile(function () { return !_this.destroyed; })
                .skip(1)
                .subscribe(function (theaters) {
                _this.saveLocationSubscription$.unsubscribe();
                if (theaters && theaters.length) {
                    _this.analyticsProvider.triggerEvent('appEventLocation', 'settings', 'Definições', '', '', {
                        district: __WEBPACK_IMPORTED_MODULE_8__app_app_config__["a" /* appConfig */].districts.find(function (d) { return d.id == newSettings.location.districts[0]; }).text
                    });
                    if (_this.skipToast || location.skipToast) {
                        _this.skipToast = false;
                    }
                    else {
                        _this.store.dispatch(new __WEBPACK_IMPORTED_MODULE_6__store_actions_layout_actions__["f" /* ShowToaster */](__WEBPACK_IMPORTED_MODULE_8__app_app_config__["a" /* appConfig */].messages.updateLocationSuccess));
                    }
                }
                else {
                    _this.store.dispatch(new __WEBPACK_IMPORTED_MODULE_6__store_actions_layout_actions__["f" /* ShowToaster */](__WEBPACK_IMPORTED_MODULE_8__app_app_config__["a" /* appConfig */].errorMessages.getTheatersError));
                    _this.rollbackSettings(previousSettings);
                }
            });
        })
            .catch(function (err) { return _this.store.dispatch(new __WEBPACK_IMPORTED_MODULE_6__store_actions_layout_actions__["f" /* ShowToaster */](__WEBPACK_IMPORTED_MODULE_8__app_app_config__["a" /* appConfig */].errorMessages.updateLocationError)); });
    };
    LocationPage.prototype.rollbackSettings = function (settings) {
        var _this = this;
        this.skipToast = true;
        return Promise.resolve()
            .then(function () { return _this.settingsProvider.set(settings); })
            .then(function () { return _this.store.dispatch(new __WEBPACK_IMPORTED_MODULE_5__store_actions_settings_actions__["g" /* GetSettings_Success */](settings)); })
            .then(function () { return _this.store.dispatch(new __WEBPACK_IMPORTED_MODULE_4__store_actions_movies_playing_actions__["h" /* GetMoviesPlaying */]()); })
            .then(function () { return _this.store.dispatch(new __WEBPACK_IMPORTED_MODULE_4__store_actions_movies_playing_actions__["b" /* GetDistrictTheaters */]()); });
    };
    LocationPage.prototype.ionViewDidLeave = function () {
        this.navCtrl.popToRoot();
    };
    LocationPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'location',template:/*ion-inline-start:"/home/rafael/Documents/Projects/Apps/SapoCinema/src/pages/settings/location/location.html"*/'<navbar-component [title]="\'Localização\'"></navbar-component>\n\n<ion-content #location class="location">\n    <div *ngIf="locationSettings$ | async">\n        <location-component\n            [locationSettings]="locationSettings$ | async"\n            [rollbackOnError]="true"\n            (onChange)="onLocationChange($event)"\n        ></location-component>\n    </div>\n</ion-content>\n'/*ion-inline-end:"/home/rafael/Documents/Projects/Apps/SapoCinema/src/pages/settings/location/location.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2__ngrx_store__["b" /* Store */],
            __WEBPACK_IMPORTED_MODULE_7__shared_providers_settings_provider__["a" /* SettingsProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_9__shared_providers_analytics_provider__["a" /* AnalyticsProvider */]])
    ], LocationPage);
    return LocationPage;
}());

//# sourceMappingURL=location.js.map

/***/ })

});
//# sourceMappingURL=7.js.map