webpackJsonp([8],{

/***/ 753:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "FavoritesPageModule", function() { return FavoritesPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__favorites__ = __webpack_require__(766);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_components_module__ = __webpack_require__(458);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var FavoritesPageModule = /** @class */ (function () {
    function FavoritesPageModule() {
    }
    FavoritesPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__favorites__["a" /* FavoritesPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_3__components_components_module__["a" /* ComponentsModule */],
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__favorites__["a" /* FavoritesPage */]),
            ],
            exports: [
                __WEBPACK_IMPORTED_MODULE_2__favorites__["a" /* FavoritesPage */]
            ]
        })
    ], FavoritesPageModule);
    return FavoritesPageModule;
}());

//# sourceMappingURL=favorites.module.js.map

/***/ }),

/***/ 766:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return FavoritesPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ngrx_store__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__store_reducers__ = __webpack_require__(57);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__store_actions_movies_playing_actions__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__store_actions_settings_actions__ = __webpack_require__(58);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__store_actions_layout_actions__ = __webpack_require__(52);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__shared_models__ = __webpack_require__(29);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__shared_pipes_sort_theaters_pipe__ = __webpack_require__(69);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__shared_providers_analytics_provider__ = __webpack_require__(45);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__shared_services_sticky_toolbar__ = __webpack_require__(460);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__app_app_config__ = __webpack_require__(17);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_12__shared_utils__ = __webpack_require__(15);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};













var FavoritesPage = /** @class */ (function () {
    function FavoritesPage(store, navCtrl, navParams, sortTheatersPipe, analyticsProvider, stickyToolbar) {
        var _this = this;
        this.store = store;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.sortTheatersPipe = sortTheatersPipe;
        this.analyticsProvider = analyticsProvider;
        this.stickyToolbar = stickyToolbar;
        this.selectedFavoriteTab = 'current';
        this.hasErrors = false;
        this.destroyed = false;
        this.error$ = store.select(__WEBPACK_IMPORTED_MODULE_3__store_reducers__["E" /* getSettingsError */]);
        this.error$
            .takeWhile(function () { return !_this.destroyed; })
            .subscribe(function (error) {
            _this.hasErrors = !!error;
            if (_this.hasErrors && _this.districtTheaters && _this.districtTheaters.length) {
                _this.store.dispatch(new __WEBPACK_IMPORTED_MODULE_6__store_actions_layout_actions__["f" /* ShowToaster */](error));
                _this.store.dispatch(new __WEBPACK_IMPORTED_MODULE_5__store_actions_settings_actions__["k" /* Update_Error */](undefined));
            }
        });
        this.currentFavorites = [];
        this.districtTheaters = [];
        this.favoritesSettings$ = store.select(__WEBPACK_IMPORTED_MODULE_3__store_reducers__["j" /* getFavoritesSettings */]);
        this.favoritesSettings$
            .takeWhile(function () { return !_this.destroyed; })
            .subscribe(function (favorites) {
            _this.currentFavorites = sortTheatersPipe.transform(favorites.theaters);
        });
        this.theaterList$ = store.select(__WEBPACK_IMPORTED_MODULE_3__store_reducers__["a" /* getAllTheaters */]);
        this.theaterList$
            .takeWhile(function () { return !_this.destroyed; })
            .subscribe(function (theaters) {
            _this.districtTheaters = sortTheatersPipe.transform(theaters);
            _this.districtTheaters.forEach(function (district) {
                district.isOpened = _this.currentFavorites.find(function (cf) { return cf.id === district.id; }) !== undefined;
                district.isFavorite =
                    district.isOpened &&
                        _this.currentFavorites.find(function (cf) { return cf.id === district.id; }).theaters.length == district.theaters.length;
                var districtTheaters = [];
                district.theaters.forEach(function (theater) {
                    theater = _this.updateFavorite(theater, _this.currentFavorites.find(function (cf) { return cf.theaters.find(function (cft) { return cft.id == theater.id; }); }) != undefined);
                    districtTheaters.push(theater);
                });
                district.theaters = districtTheaters;
            });
        });
        this.onDismiss = __WEBPACK_IMPORTED_MODULE_12__shared_utils__["a" /* Utils */].exists(navParams, 'data.onDismiss');
        this.fetchAllTheaters();
        this.triggerVirtualPageView();
    }
    FavoritesPage.prototype.triggerVirtualPageView = function () {
        this.analyticsProvider.virtualPageView('favorites', 'Favoritos', this.selectedFavoriteTab, '/favorites');
    };
    FavoritesPage.prototype.fetchAllTheaters = function () {
        this.store.dispatch(new __WEBPACK_IMPORTED_MODULE_5__store_actions_settings_actions__["b" /* GetAllTheaters */]());
    };
    FavoritesPage.prototype.ngOnDestroy = function () {
        this.hasErrors && this.store.dispatch(new __WEBPACK_IMPORTED_MODULE_5__store_actions_settings_actions__["k" /* Update_Error */](undefined));
        this.onDismiss && this.onDismiss();
        this.destroyed = true;
    };
    FavoritesPage.prototype.onErrorRefresh = function (refresher) {
        var _this = this;
        return Promise.resolve()
            .then(function () { return _this.fetchAllTheaters(); })
            .then(function () { return refresher && refresher.complete(); });
    };
    FavoritesPage.prototype.toggleDistrict = function (districtId, state) {
        var _this = this;
        return Promise.resolve().then(function () {
            var district = _this.districtTheaters.find(function (dt) { return dt.id === districtId; });
            district && (district.isOpened = !district.isOpened);
        });
    };
    FavoritesPage.prototype.favoriteDistrict = function (districtId, state) {
        var _this = this;
        var district, newDistrictTheaters = [];
        return Promise.resolve()
            .then(function () {
            district = _this.districtTheaters.find(function (dt) { return dt.id === districtId; });
            if (!district)
                return;
            district.isFavorite = state;
            district.theaters.forEach(function (theater) { return newDistrictTheaters.push(_this.updateFavorite(theater, state)); });
            district.theaters = newDistrictTheaters;
            state && !district.isOpened && (district.isOpened = true);
        })
            .then(function () { return _this.updateFavoritesSetting(); })
            .then(function () {
            return _this.store.dispatch(new __WEBPACK_IMPORTED_MODULE_6__store_actions_layout_actions__["f" /* ShowToaster */](state ? __WEBPACK_IMPORTED_MODULE_11__app_app_config__["a" /* appConfig */].messages.favoriteTheaterAddedSuccess : __WEBPACK_IMPORTED_MODULE_11__app_app_config__["a" /* appConfig */].messages.favoriteTheaterRemovedSuccess));
        })
            .then(function () { return _this.triggerAnalyticsFavEvent(state, '', district.text); });
    };
    FavoritesPage.prototype.toggleTheater = function (theaterId) {
        var _this = this;
        var district, theater;
        return Promise.resolve()
            .then(function () {
            district = _this.districtTheaters.find(function (t) { return t.theaters.find(function (t) { return t.id === theaterId; }); });
            theater = district && district.theaters.find(function (t) { return t.id === theaterId; });
            if (!theater)
                return;
            var idx = district.theaters.indexOf(theater);
            district.theaters[idx] = _this.updateFavorite(theater, !theater.isFavorite);
            district.isFavorite = district.theaters.every(function (dt) { return dt.isFavorite; });
        })
            .then(function () { return _this.updateFavoritesSetting(); })
            .then(function () {
            return _this.store.dispatch(new __WEBPACK_IMPORTED_MODULE_6__store_actions_layout_actions__["f" /* ShowToaster */](!theater.isFavorite
                ? __WEBPACK_IMPORTED_MODULE_11__app_app_config__["a" /* appConfig */].messages.favoriteTheaterAddedSuccess
                : __WEBPACK_IMPORTED_MODULE_11__app_app_config__["a" /* appConfig */].messages.favoriteTheaterRemovedSuccess));
        })
            .then(function () { return _this.triggerAnalyticsFavEvent(!theater.isFavorite, theater); });
    };
    FavoritesPage.prototype.openTheaterDetail = function (theaterId) {
        var _this = this;
        return Promise.resolve()
            .then(function () { return _this.store.dispatch(new __WEBPACK_IMPORTED_MODULE_4__store_actions_movies_playing_actions__["k" /* GetTheaterDetail */](theaterId)); })
            .then(function () { return _this.navCtrl.push('theater-detail', { theaterId: theaterId }); });
    };
    FavoritesPage.prototype.triggerAnalyticsFavEvent = function (isFavorite, theater, district) {
        if (theater === void 0) { theater = {}; }
        if (district === void 0) { district = ''; }
        var dataObj = { theater: theater ? theater.title : '', button_action: isFavorite ? 'fav' : 'unfav' };
        district && (dataObj = Object.assign(dataObj, { district: district }));
        this.analyticsProvider.triggerEvent('appEventFavButton', 'settings', 'Definições', '', theater.url, dataObj);
    };
    FavoritesPage.prototype.updateFavoritesSetting = function () {
        var newFavorites = new __WEBPACK_IMPORTED_MODULE_7__shared_models__["c" /* FavoritesSettings */]();
        newFavorites.theaters = [];
        this.districtTheaters.forEach(function (dt) { return (newFavorites.theaters = newFavorites.theaters.concat(dt.theaters.filter(function (t) { return t.isFavorite; }))); });
        this.store.dispatch(new __WEBPACK_IMPORTED_MODULE_5__store_actions_settings_actions__["h" /* UpdateFavorites */](newFavorites));
    };
    FavoritesPage.prototype.updateFavorite = function (item, favorite) {
        return Object.assign({}, item, {
            isFavorite: favorite
        });
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ViewChild */])(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* Content */]),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* Content */])
    ], FavoritesPage.prototype, "content", void 0);
    FavoritesPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'favorites',template:/*ion-inline-start:"/home/rafael/Documents/Projects/Apps/SapoCinema/src/pages/settings/favorites/favorites.html"*/'<navbar-component [title]="\'Salas Favoritas\'"></navbar-component>\n\n<ion-toolbar no-border-top>\n    <ion-segment color="blue" [(ngModel)]="selectedFavoriteTab" (ionChange)="triggerVirtualPageView()">\n        <ion-segment-button value="current">Minhas Salas</ion-segment-button>\n        <ion-segment-button value="all">Gerir Salas</ion-segment-button>\n    </ion-segment>\n</ion-toolbar>\n\n<ion-content #favorites class="sticky-toolbar" *ngIf="!hasErrors">\n    <div class="info-tabs-group" [ngSwitch]="selectedFavoriteTab">\n        <div *ngSwitchCase="\'current\'">\n            <div id="favoriteList">\n                <ng-container *ngIf="currentFavorites.length">\n                    <ion-list *ngFor="let group of currentFavorites">\n                        <ion-list-header [innerHTML]="group.text"> </ion-list-header>\n                        <ng-container *ngFor="let theater of group.theaters">\n                            <ion-item>\n                                <ion-avatar item-start>\n                                    <img src="assets/img/star.svg" alt="">\n                                </ion-avatar>\n                                <h2 [innerHTML]="theater.title" (click)="openTheaterDetail(theater.id)"></h2>\n                                <button ion-button (click)="toggleTheater(theater.id)">\n                                    <ion-icon name="trash"> </ion-icon>\n                                </button>\n                            </ion-item>\n                        </ng-container>\n                    </ion-list>\n                </ng-container>\n                <ng-container *ngIf="!currentFavorites.length">\n                    <ion-list>\n                        <ion-item class="no-fav">\n                            <ion-avatar item-start>\n                                <img class="off" src="assets/img/star_off.svg" alt="">\n                            </ion-avatar>\n                            <h2>Não tem salas favoritas</h2>\n                        </ion-item>\n                    </ion-list>\n                </ng-container>\n            </div>\n        </div>\n        <div *ngSwitchCase="\'all\'">\n            <div id="districtList">\n                <ion-list class="accordion-list">\n                    <ion-list-header *ngFor="let district of districtTheaters">\n                        <ion-item>\n                            <div (click)="toggleDistrict(district.id)">\n                                <ion-icon item-right name="arrow-dropright-circle" *ngIf="!district.isOpened"></ion-icon>\n                                <ion-icon item-right name="arrow-dropdown-circle" *ngIf="district.isOpened"></ion-icon>\n                                {{ district.text }}\n                            </div>\n                            <ion-icon item-right name="star-outline" *ngIf="!district.isFavorite" (click)="favoriteDistrict(district.id, true)"></ion-icon>\n                            <ion-icon item-right name="star" *ngIf="district.isFavorite" (click)="favoriteDistrict(district.id, false)"></ion-icon>\n                        </ion-item>\n                        <ion-list no-lines *ngIf="district.theaters && district.isOpened">\n                            <ng-container *ngFor="let theater of district.theaters">\n                                <button ion-item (click)="toggleTheater(theater.id)">\n                                    <h2 [innerHTML]="theater.title"></h2>\n                                    <ion-icon item-right name="star-outline" *ngIf="!theater.isFavorite"></ion-icon>\n                                    <ion-icon item-right name="star" *ngIf="theater.isFavorite"></ion-icon>\n                                </button>\n                            </ng-container>\n                        </ion-list>\n                    </ion-list-header>\n                </ion-list>\n            </div>\n        </div>\n    </div>\n</ion-content>\n\n<ion-content *ngIf="hasErrors">\n    <ion-refresher #refresher (ionRefresh)="onErrorRefresh($event)">\n        <ion-refresher-content></ion-refresher-content>\n    </ion-refresher>\n    <error-component [message]="error$ | async"></error-component>\n</ion-content>'/*ion-inline-end:"/home/rafael/Documents/Projects/Apps/SapoCinema/src/pages/settings/favorites/favorites.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2__ngrx_store__["b" /* Store */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_8__shared_pipes_sort_theaters_pipe__["a" /* SortTheatersPipe */],
            __WEBPACK_IMPORTED_MODULE_9__shared_providers_analytics_provider__["a" /* AnalyticsProvider */],
            __WEBPACK_IMPORTED_MODULE_10__shared_services_sticky_toolbar__["a" /* StickyToolbar */]])
    ], FavoritesPage);
    return FavoritesPage;
}());

//# sourceMappingURL=favorites.js.map

/***/ })

});
//# sourceMappingURL=8.js.map