webpackJsonp([9],{

/***/ 745:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SearchResultPageModule", function() { return SearchResultPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__search_result__ = __webpack_require__(758);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_components_module__ = __webpack_require__(458);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var SearchResultPageModule = /** @class */ (function () {
    function SearchResultPageModule() {
    }
    SearchResultPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__search_result__["a" /* SearchResultPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_3__components_components_module__["a" /* ComponentsModule */],
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__search_result__["a" /* SearchResultPage */]),
            ],
            exports: [
                __WEBPACK_IMPORTED_MODULE_2__search_result__["a" /* SearchResultPage */]
            ]
        })
    ], SearchResultPageModule);
    return SearchResultPageModule;
}());

//# sourceMappingURL=search-result.module.js.map

/***/ }),

/***/ 758:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SearchResultPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ngrx_store__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__store_reducers__ = __webpack_require__(57);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__store_actions_search_actions__ = __webpack_require__(113);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__store_actions_movies_playing_actions__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__shared_utils__ = __webpack_require__(15);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__shared_providers_analytics_provider__ = __webpack_require__(45);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








var SearchResultPage = /** @class */ (function () {
    function SearchResultPage(store, navCtrl, navParams, analyticsProvider) {
        this.store = store;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.analyticsProvider = analyticsProvider;
        this.searchTerm = __WEBPACK_IMPORTED_MODULE_6__shared_utils__["a" /* Utils */].exists(navParams, 'data.searchTerm') || '';
        this.onDismiss = __WEBPACK_IMPORTED_MODULE_6__shared_utils__["a" /* Utils */].exists(navParams, 'data.onDismiss');
        this.searchMovieResult$ = store.select(__WEBPACK_IMPORTED_MODULE_3__store_reducers__["C" /* getSearchMovieResult */]);
        this.searchArticleResult$ = store.select(__WEBPACK_IMPORTED_MODULE_3__store_reducers__["z" /* getSearchArticleResult */]);
        this.error$ = store.select(__WEBPACK_IMPORTED_MODULE_3__store_reducers__["A" /* getSearchError */]);
        this.loading$ = store.select(__WEBPACK_IMPORTED_MODULE_3__store_reducers__["B" /* getSearchLoading */]);
        this.sendVirtualPageView();
    }
    SearchResultPage.prototype.sendVirtualPageView = function () {
        this.analyticsProvider.virtualPageView('search', 'Resultados Pesquisa', '', '/pesquisa', {
            search_term: this.searchTerm
        });
    };
    SearchResultPage.prototype.onMovieSelect = function (movie) {
        var _this = this;
        this.store.dispatch(new __WEBPACK_IMPORTED_MODULE_5__store_actions_movies_playing_actions__["e" /* GetMovieDetail */](movie.slug));
        return Promise.resolve().then(function () {
            return _this.navCtrl.push('movie-detail', { movie_slug: movie.slug, onDismiss: _this.sendVirtualPageView });
        });
    };
    SearchResultPage.prototype.onErrorRefresh = function (refresher) {
        var _this = this;
        return Promise.resolve()
            .then(function () { return _this.store.dispatch(new __WEBPACK_IMPORTED_MODULE_4__store_actions_search_actions__["b" /* Search */](_this.searchTerm)); })
            .then(function () { return refresher && refresher.complete(); });
    };
    SearchResultPage.prototype.ngOnDestroy = function () {
        this.onDismiss && this.onDismiss();
    };
    SearchResultPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'search-result',template:/*ion-inline-start:"/home/rafael/Documents/Projects/Apps/SapoCinema/src/pages/search-result/search-result.html"*/'<navbar-component [title]="\'Resultados pesquisa\'" [showSearchButton]="true"></navbar-component>\n\n<ion-content #searchResult padding>\n    <h1>Filmes</h1>\n    <movie-list-component (onMovieClick)="onMovieSelect($event)" [feed]="searchMovieResult$ | async"></movie-list-component>\n    <h1>Artigos</h1>\n    <article-list-component\n        [isSearchFeed]="true"\n        [feed]="searchArticleResult$ | async"\n        [onArticleDismiss]="sendVirtualPageView.bind(this)"\n    ></article-list-component>\n\n    <ion-spinner *ngIf="loading$ | async"></ion-spinner>\n\n    <ion-content *ngIf="error$ | async">\n        <ion-refresher #refresher (ionRefresh)="onErrorRefresh($event)">\n            <ion-refresher-content></ion-refresher-content>\n        </ion-refresher>\n        <error-component [message]="error$ | async"></error-component>\n    </ion-content>\n</ion-content>\n'/*ion-inline-end:"/home/rafael/Documents/Projects/Apps/SapoCinema/src/pages/search-result/search-result.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2__ngrx_store__["b" /* Store */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_7__shared_providers_analytics_provider__["a" /* AnalyticsProvider */]])
    ], SearchResultPage);
    return SearchResultPage;
}());

//# sourceMappingURL=search-result.js.map

/***/ })

});
//# sourceMappingURL=9.js.map